#!/usr/bin/env python3

import random as rnd

rnd.seed(123)

def write_test(n, test_str):
    filename = "{:0>2}".format(n)
    filename += ".in"
    f = open(filename, "w")
    f.write(test_str)

class TestGen:
    def __init__(self, first_testno):
        self.testno = first_testno
    def next_test(self, teststr):
        write_test(self.testno, teststr)
        self.testno += 1

def fmt(*args):
	return " ".join(map(str, args))

def random_test(n, m):
	l, r = rnd.sample(range(n), k=2)
	a = n
	if l > r:
		l, r = r, l

	x, y = rnd.choices(range(m), k=2)

	return fmt(l, r, a, x, y)

gen = TestGen(13)
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000))
gen.next_test(random_test(1000, 1000)) #23

gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000))
gen.next_test(random_test(1000000, 1000)) #33

gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000))
gen.next_test(random_test(1000000000, 100000000)) #53
